Package ru.bgcrm.plugin.dispatch.model

# Class DispatchMessage

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.base.IdTitle
ru.bgcrm.plugin.dispatch.model.DispatchMessage

All Implemented Interfaces:
  `Serializable`, `Id<Integer>`, `IdTitle<Integer>`, `Title`

public class DispatchMessage extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.bgerp.model.base.IdTitle

  `title`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DispatchMessage()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getCreateTime()`
  `Set<Integer>`
  `getDispatchIds()`
  `Date`
  `getSentTime()`
  `String`
  `getText()`
  `boolean`
  `isReady()`
  `void`
  `setCreateTime(Date createTime)`
  `void`
  `setDispatchIds(Set<Integer> dispatchIds)`
  `void`
  `setReady(boolean readyToSend)`
  `void`
  `setSentTime(Date sentTime)`
  `void`
  `setText(String message)`

  ### Methods inherited from class org.bgerp.model.base.IdTitle

  `getTitle, setTitle, toString, unknown`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.model.base.iface.Id

  `getId`

- ## Constructor Details

  - ### DispatchMessage

    public DispatchMessage()

- ## Method Details

  - ### getDispatchIds

    public Set<Integer> getDispatchIds()

  - ### setDispatchIds

    public void setDispatchIds(Set<Integer> dispatchIds)

  - ### isReady

    public boolean isReady()

  - ### setReady

    public void setReady(boolean readyToSend)

  - ### getCreateTime

    public Date getCreateTime()

  - ### setCreateTime

    public void setCreateTime(Date createTime)

  - ### getSentTime

    public Date getSentTime()

  - ### setSentTime

    public void setSentTime(Date sentTime)

  - ### getText

    public String getText()

  - ### setText

    public void setText(String message)